/*
 * package.h
 * 
 * Copyright (c) 2000-2005 by Florian Fischer (florianfischer@gmx.de)
 * and Martin Trautmann (martintrautmann@gmx.de) 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */
 
#ifndef __ROBOTOP_PACKAGE_H__
#define __ROBOTOP_PACKAGE_H__

class wxString; 

/// Gets the absolute file name of the currently running executable. 
wxString wxxGetExecutableFileName();
/// Gets the absolute name of the folder in which the running executable is contained. 
/// It is terminated with a wxFILE_SEP_PATH (usually a slash). 
wxString wxxGetExecutableFolder(); 

/// Finds a help file. 
/// Returns the empty string if it cannot be found. 
/// @param baseName The file name (without folders) of the help file, such as 'index.html'. 
wxString wxxFindHelpFile(const wxString& baseName); 






#endif // file



